#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function checks CCSF waves for NaN's and produces an error message if any exist

	Function CCSFNaNCheck()
		String CCSFWaves
		CCSFWaves = WaveList( "*CCSF", ";", "" )
		Variable i = 0
		Do
			If( NumPnts( $StringFromList( i, CCSFWaves ) ) == 0 )
			ElseIf( StringMatch( HoleLetter( DataWaveHole( StringFromList( i, CCSFWaves ) ) ), "S" ) )
			Else
				WaveStats/Q $StringFromList( i, CCSFWaves )
				If( V_NumNaNs > 0 )
					DoAlert/T = "Blanks in CCSF Wave" 1, "There are " + Num2Str( V_NumNaNs ) + " blanks ( NaNs ) in " + StringFromList( i, CCSFWaves ) + "\rThis may cause splicing problems.\rDo you wish to continue?"
					Print "There are " + Num2Str( V_NumNaNs ) + " blanks ( NaNs ) in " + StringFromList( i, CCSFWaves )
					AbortOnValue V_Flag == 2, 0			
				EndIf
			EndIf
			i += 1
		While( i < ItemsInList( CCSFWaves ) )		
	End


