#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function Site_2_Site_DepthInterp( )
		SetDataFolder root:
			String/G G_BaseTies, G_StretchTies, G_OutPutWv, G_InPutWv, G_ResultsFldr, G_DataFldr
			String FList = FolderList( "*" ), ResultsFldr = G_ResultsFldr, DataFldr = G_DataFldr
			String BaseTies = G_BaseTies, StretchTies = G_StretchTies, InputWv = G_InPutWv, OutPutWv = G_OutPutWv
			Prompt ResultsFldr, "Choose Site to Site Results Folder:", popup, "root:;" + FList 
			Prompt DataFldr, "Choose Folder with Depth Wave:", popup, "root:;" + FList 
			DoPrompt "Site_2_Site_DepthInterp", ResultsFldr, DataFldr; 
			G_DataFldr = DataFldr; G_ResultsFldr = ResultsFldr		
			AbortOnValue V_Flag, 0
		SetDataFolder $"root:" + ResultsFldr
			Prompt BaseTies, "Base Tie Depths", popup, WaveList( "*Ties", ";", "" )
			Prompt StretchTies, "Stretch Tie Depths", popup, WaveList( "*Ties", ";", "" )
			DoPrompt  "Site_2_Site_DepthInterp", BaseTies, StretchTies;
			G_BaseTies = BaseTies; G_StretchTies = StretchTies; 
 			Wave BTies = $BaseTies, STies = $StretchTies
 			AbortOnValue V_Flag, 0
		SetDataFolder $"root:" + DataFldr
			Prompt InPutWv, "Wave of Depths to be Stretched:", popup, WaveList( "*", ";", "" )
			Prompt OutPutWv, "Name for OutPut Wave:"
			DoPrompt  "Site_2_Site_DepthInterp", InPutWv, OutPutWv
			G_InputWv = InPutWv; G_OutPutWv = OutPutWv
			Wave InWv = $InPutWv
			Make/O /N = ( Numpnts( InWv ) ) $OutPutWv
			Wave OutWv = $OutPutWv
		SetDataFolder $"root:"
			OutWv = interp( InWv, STies, BTies )		
	End
