﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


	Function CalculatePolyPredictions()
		SetDataFolder root:
			String/G G_Site 
			String Site = G_Site
			Variable i
			Prompt Site, "Site"
			DoPrompt "CalculatePolyPredictions", Site
			G_Site = Site; AbortOnValue V_Flag, 0		
			CalculatePolyPredictions_F( Site )
	End
	
		Function CalculatePolyPredictions_F( Site )
			String Site
		SetDataFolder root:
			Variable i
			WAVE Period = root:Xtras:Period
			WAVE PolySR = root:AgeDepthFit:$Site + "_SedRate", PolyDepth = root:AgeDepthFit:$Site + "_SedRateDepth"
		NewDataFolder/O/S root:Xtras//:$Site + "_PolyPredictions"
		NewDataFolder/O/S root:Xtras:$Site + "_PolyPredictions"
			For( i = 0; i < NumPnts( Period ); ++i )
				Make/O/N = ( NumPnts( PolySR ) ) $Site + "_Poly_" + Num2Str( Period[ i ] * 1000 ) + "k", $Site + "_Poly_" + Num2Str( Period[ i ] * 1000 ) + "Depth"
				WAVE P1 = $Site + "_Poly_" + Num2Str( Period[ i ] * 1000 ) + "k"
				WAVE D1 = $Site + "_Poly_" + Num2Str( Period[ i ] * 1000 ) + "Depth"
				P1 = 1 / ( PolySR * Period[ i ] )
				D1 = PolyDepth
			EndFor
		SetDataFolder root:	
	End	