#pragma rtGlobals=1		// Use modern global access method.

	Function CSF_CCSF_From_CSI( )
		DFRef DFldr = GetDataFolderDFR()
		SetDataFolder root:
			String/G G_Hole
			String Hole = G_Hole
			Variable/G G_Core, G_Section, G_Interval
			Variable Core = G_Core, Section = G_Section, Interval = G_Interval
			Prompt Hole, "Hole"
			Prompt Core, "Core"
			Prompt Section, "Section"
			Prompt Interval, "Interval (cm)"
			DoPrompt "CSF_CCSF_From_CSI", Hole, Core, Section, Interval; AbortOnValue V_Flag, 0
			CSF_CCSF_From_CSI_F( Hole, Core, Section, Interval )
			Print "CSF_CCSF_From_CSI_F( \"" + Hole + "\"," , Core, ",", Section, ",", Interval, ")"
			G_Hole = Hole; G_Core = Core; G_Section = Section; G_Interval = Interval
		SetDataFolder DFldr
	End
	
	Function CSF_CCSF_From_CSI_F( Hole, Core, Section, Interval )
		String Hole
		Variable Core, Section, Interval
		DFRef DFldr = GetDataFolderDFR()
		SetDataFolder root:
			String/G G_Hole
			Variable/G G_Core, G_Section, G_Interval
			WAVE Matrix = $Hole +"_Coring_Matrix"
			CheckMatrix4CCSF( Hole )
			Printf "CSF\t\t\tCCSF\r"
			Printf "%.2f\t\t%.2f\r", Matrix[Core][Section][0]+Interval/100,Matrix[Core][Section][2]+Interval/100
			G_Hole = Hole; G_Core = Core; G_Section = Section; G_Interval = Interval
		SetDataFolder DFldr
	End
