﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.



	Function CalcPoints4SurfaceFit()
		SetDataFolder root:
			Variable i, j, Points
			WAVE XLevels, YLevels // X and Y rows and columns used to calculate intersections as measurement points for surface fit
			Make/O/N = 0 WaveX, WaveY
			For( i = 0; i < NumPnts( YLevels ); i += 1 ) // These nested loops create all the intersections of X and Y levels for use in the surface fit
				For( j = 0; j < NumPnts( XLevels ); ++j )
					Points = NumPnts( WaveX )
					InsertPoints Points, 1, WaveX, WaveY
					WaveX[ Points ] = XLevels[ j ]
					WaveY[ Points ] = YLevels[ i ]
				EndFor
			EndFor
	End
