#pragma rtGlobals=1		// Use modern global access method.

//		Choose and external folder of IGOR binary data waves and a new folder of the same name will be added under root:.
	
	Function Load_Shared_Folder( )
		SetDataFolder root:
			String/G G_Copy
			String  FileName, Copy = G_Copy
			Prompt Copy, "Share (S) or Copy (C):"
			DoPrompt "Load_Shared_Folder", Copy; AbortonValue V_Flag, 1
			G_Copy = Copy
			PauseUpdate;
			NewPath/O/Q/Z  External_Folder
			PathInfo  External_Folder
			String PathName = ParseFilePath( 0, S_Path, ":", 1, 0 )
			If( StrLen( PathName ) < 1 )
				ABORT
			EndIf
			NewPath/Q/O/Z  $PathName, S_Path
			KillPath/Z External_Folder
			NewDataFolder/O/S $PathName
			Variable i = 0, WavesInFolder
			WavesInFolder = ItemsInList( IndexedFile( $PathName, -1, ".ibw" ) )
			Do
				FileName = IndexedFile( $PathName, i, ".ibw" )
				If( StringMatch( Copy, "C" ) || ( StringMatch( Copy, "c" ) ) )
					LoadWave/H /Q /O /P = $PathName FileName
				Else
					LoadWave/Q /O /P = $PathName FileName
				EndIf
				i += 1;
			While (i < WavesInFolder )
		SetDataFolder root:
	End
	
	
	****************************************************************

//  To use this function, first create a destination Dafa Folder in the DataBrowser and make it the active folder.
//		Then choose and external folder of IGOR binary data waves.
	
	Function Load_Shared_Data( )
		SetDataFolder root:
			String/G G_Copy, G_Folder, G_NewFolder
			String  FileName, Copy = G_Copy, Folder = G_Folder, NewFolder = G_NewFolder
			Prompt Folder, "Destination Folder", popup, "root:;" + SortList( FolderList("*") + ";New" )
			Prompt Copy, "Share (S) or Copy (C):"
			DoPrompt "Load_Shared_Data", Copy, Folder
			G_Copy = Copy; G_Folder = Folder; AbortonValue V_Flag, 1			
			If( StringMatch( Folder, "New" ) )
				Prompt Folder, "New Folder Name"
				DoPrompt "Load_Shared_Data", Folder
				G_Folder = Folder; AbortOnValue V_Flag, 1
				NewDataFolder/O/S $Folder				
			Else
				SetDataFolder $Folder
			EndIf
			Variable i = 0, WavesInFolder
			NewPath/Q/O/Z External_Folder;
			PathInfo  External_Folder
			String PathName = ParseFilePath( 0, S_Path, ":", 1, 0 )
			If( StrLen( PathName ) == 0 )
				ABORT
			EndIf
			NewPath/Q/O/Z  $PathName, S_Path;
//			KillPath External_Folder
			KillPath/Z External_Folder
			WavesInFolder = ItemsInList( IndexedFile( $PathName, -1, ".ibw" ) )
			Do
				FileName = IndexedFile( $PathName, i, ".ibw" )
				If( StringMatch( Copy, "C" ) || ( StringMatch( Copy, "c" ) ) )
					LoadWave/H /Q /O /P = $PathName FileName
				Else
					LoadWave/Q /O /P = $PathName FileName
				EndIf
				i += 1;
			While (i < WavesInFolder )
		SetDataFolder root:
			Variable S1 = GetRTError( 1 )
	End
	
	****************************************************************
	
	Function Share_Single_Wave()
		LoadWave/O/Q
	EndMacro

