﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function AppendPolyPredictions( )
		SetDataFolder root:
			String/G G_Prediction, G_DepthWave, G_Site, G_XAxis
			String Prediction = G_Prediction, DepthWave = G_DepthWave, XAxis = G_XAxis
			String Site = G_Site
		SetDataFolder root:Xtras:$Site + "_PolyPredictions"			
			Prompt Site, "Site"
			Prompt XAxis, "X Axis:", popup, "Depth;Frequency"
			Prompt Prediction, "Choose Curve to Add to NMatrix", popup, WaveList( "!*Depth", ";", "" )
			DoPrompt "AppendPolyPredictions", Site, Prediction, XAxis
			G_Site = Site; G_Prediction = Prediction; G_XAxis = XAxis; AbortOnValue V_Flag, 0	
			Print "AppendPolyPredictions_F( \"" + Site + "\", \"" + Prediction + "\", \"" + XAxis + "\" )"	
			AppendPolyPredictions_F( Site, Prediction, XAxis )		
		SetDataFolder root:
	End

	Function AppendPolyPredictions_F( Site, Prediction, XAxis )
		String Site, Prediction, XAxis
		SetDataFolder root:Xtras:$Site + "_PolyPredictions"			
			WAVE PredictionWv = $Prediction
			Wave DepthWv = $RemoveEnding( Prediction ) + "Depth"
			If( StringMatch( XAxis, "Frequency" ) )
				DoWindow/F NormAmpFreq
				AppendToGraph/L = DepthAxis/B = FreqAxis DepthWv vs PredictionWv
				ModifyGraph lsize( $NameOfWave( DepthWv ) )=3,rgb( $NameOfWave( DepthWv ) )=(0,0,0)
			Else
				DoWindow/F NormAmpDepth
				AppendToGraph/L = FreqAxis/B = DepthAxis/VERT PredictionWv vs DepthWv
				ModifyGraph lsize( $NameOfWave( PredictionWv ) )=3,rgb( $NameOfWave( PredictionWv ) )=(0,0,0)
			EndIf
		SetDataFolder root:
			DoWindow/H
	End
